package org.bench4q.master.exception;

/**
 * To deal with the response of each function of TestPlanController
 * 
 * @author coderfengyun
 * 
 */
public class Bench4QException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 7450550491330737876L;
	private String code;
	private String message;
	private String resource;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getResource() {
		return resource;
	}

	public void setResource(String resource) {
		this.resource = resource;
	}

	public Bench4QException(String code, String message, String resource) {
		this.setCode(code);
		this.setMessage(message);
		this.setResource(resource);
	}
}
